Table of Contents

Class: MegaArchetype | ../bkchem/Pmw.py
--- | ---
Methods |
--- | ---
__init__ __setitem__ __str__ addoptions cget component componentaliases componentgroup | components configure createcomponent createlabel defineoptions destroy destroycomponent hulldestroyed | initialiseoptions interior isinitoption options
| __init__
    __init__ (
            self,
            parent=None,
            hullClass=None,
            )
| __setitem__
    __setitem__ (
            self,
            key,
            value,
            )
| __str__
    __str__ ( self )
| addoptions
    addoptions ( self,  optionDefs )
| cget
    cget ( self,  option )
Exceptions |
--- | ---
KeyError, 'Unknown option "' + option + '" for ' + self.__class__.__name__
| component
    component ( self,  name )
| componentaliases
    componentaliases ( self )
| componentgroup
    componentgroup ( self,  name )
| components
    components ( self )
| configure
    configure (
            self,
            option=None,
            **kw,
            )
Exceptions |
--- | ---
KeyError, 'Cannot configure initialisation option "' + option + '" for ' + self.__class__.__name__ KeyError, 'Unknown option "' + option + '" for ' + self.__class__.__name__
| createcomponent
    createcomponent (
            self,
            componentName,
            componentAliases,
            componentGroup,
            widgetClass,
            *widgetArgs,
            *kw,
            )
Exceptions |
--- | ---
ValueError, 'Component "%s" already exists' % componentName ValueError, 'Component name "%s" must not contain "_"' % componentName
| createlabel
    createlabel (
            self,
            parent,
            childCols=1,
            childRows=1,
            )
| defineoptions
    defineoptions (
            self,
            keywords,
            optionDefs,
            dynamicGroups=(),
            )
| destroy
    destroy ( self )
| destroycomponent
    destroycomponent ( self,  name )
| hulldestroyed
    hulldestroyed ( self )
| initialiseoptions
    initialiseoptions ( self,  dummy=None )
Exceptions |
--- | ---
KeyError, text + string.join( unusedOptions, ', ' ) + '" for ' + self.__class__.__name__
| interior
    interior ( self )
| isinitoption
    isinitoption ( self,  option )
| options
    options ( self )

Table of Contents

This document was automatically generated on Tue Dec 12 13:46:43 2006 by HappyDoc version 2.1